Bug 23444 - Terminology: Use library instead of branch
Summary: Terminology: Use library instead of branch
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-10 18:52 UTC by Katrin Fischer
Modified: 2019-10-17 14:07 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23444: Terminology - Use library instead of branch (3.80 KB, patch)
2019-08-10 19:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23444: Terminology - Use library instead of branch (3.81 KB, patch)
2019-08-10 19:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23444: Terminology - Use library instead of branch (3.87 KB, patch)
2019-10-03 13:54 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
Bug 23444: Terminology - Use library instead of branch (3.90 KB, patch)
2019-10-16 13:16 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-08-10 18:52:27 UTC
To ease use of Koha and translations, we have defined the terminology to use in the GUI:
https://wiki.koha-community.org/wiki/Terminology

Instead of branch, we should use library everywhere.
Comment 1 Katrin Fischer 2019-08-10 19:07:15 UTC
Created attachment 92135 [details] [review]
Bug 23444: Terminology - Use library instead of branch

This changes some strings in the templates for:

- Receiving orders (creating items on receive)
    Home branch    -> Home library
    Holding branch -> Current location
   (matches item display in staff)
- Callnumber browser item value builder plugin
    Branch -> Library
- Accounts wizard in reports
    Transaction branch -> Transaction library
- Serials wizard in reports
    Branch -> Library

Also fixes 2 capitalization issues:
  Subscription id -> Subscription ID
  Call Number     -> Call number
Comment 2 Katrin Fischer 2019-08-10 19:07:49 UTC
Created attachment 92136 [details] [review]
Bug 23444: Terminology - Use library instead of branch

This changes some strings in the templates for:

- Receiving orders (creating items on receive)
    Home branch    -> Home library
    Holding branch -> Current location
   (matches item display in staff)
- Callnumber browser item value builder plugin
    Branch -> Library
- Accounts wizard in reports
    Transaction branch -> Transaction library
- Serials wizard in reports
    Branch -> Library

Also fixes 2 capitalization issues:
  Subscription id -> Subscription ID
  Call Number     -> Call number
Comment 3 Alex Sassmannshausen 2019-10-03 13:54:59 UTC
Created attachment 93613 [details] [review]
Bug 23444: Terminology - Use library instead of branch

This changes some strings in the templates for:

- Receiving orders (creating items on receive)
    Home branch    -> Home library
    Holding branch -> Current location
   (matches item display in staff)
- Callnumber browser item value builder plugin
    Branch -> Library
- Accounts wizard in reports
    Transaction branch -> Transaction library
- Serials wizard in reports
    Branch -> Library

Also fixes 2 capitalization issues:
  Subscription id -> Subscription ID
  Call Number     -> Call number

Signed-off-by: Alex Sassmannshausen <alex@komputilo.eu>
Comment 4 Martin Renvoize 2019-10-16 13:16:42 UTC
Created attachment 94295 [details] [review]
Bug 23444: Terminology - Use library instead of branch

This changes some strings in the templates for:

- Receiving orders (creating items on receive)
    Home branch    -> Home library
    Holding branch -> Current location
   (matches item display in staff)
- Callnumber browser item value builder plugin
    Branch -> Library
- Accounts wizard in reports
    Transaction branch -> Transaction library
- Serials wizard in reports
    Branch -> Library

Also fixes 2 capitalization issues:
  Subscription id -> Subscription ID
  Call Number     -> Call number

Signed-off-by: Alex Sassmannshausen <alex@komputilo.eu>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-10-17 14:07:52 UTC
Nice work!

Pushed to master for 19.11.00